Last Comment Bug 775235 - (unprefix) [Meta] Unprefix CSS and DOM properties
(unprefix)
: [Meta] Unprefix CSS and DOM properties
Status: NEW
: meta
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: All All
: -- normal with 26 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 140562 313111 315209 509958 698783 707106 737785 768072 771329 812701 845245 879119 931389 1069012 1106296 1119718 1120171 1128200 1165211 1165213 1176496 1226116 1249225 1270406 1272136 1276808 1294360 1294362 243412 593717 704063 743198 745523 752187 762302 762303 771678 772153 773296 801098 804944 806068 807184 812086 825004 826619 835191 843579 859301 876282 880672 886308 893319 909154 913597 917092 953408 985825 991899 1039541 1141895 1155923 1210558
Blocks: stdglobal 690985
  Show dependency treegraph
 
Reported: 2012-07-18 12:36 PDT by Jet Villegas (:jet)
Modified: 2016-08-11 01:27 PDT (History)
47 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jet Villegas (:jet) 2012-07-18 12:36:37 PDT
CSS Transforms [*] - bug 745523 - fixed in FF16
CSS Transitions [*] - bug 762303 - fixed in FF16
CSS Animations [*] - bug 762302 - fixed in FF16
CSS Gradients - find fixed bug - fixed in FF16
CSS calc() - Bug 771678 - fixed in FF16
CSS MultiCol - need bug (:jwir3)
CSS Conditional Rules [#] - need bug (:heycam)
CSS Flexbox - need bug (:dholbert)
CSS box-decoration-break() - need bug (:fantasai)
CSS background-attachment:local - need bug (:fantasai)
CSS font-variant-*/font-feature-settings - need bug (:nattokirai)
CSS Variables [#] - bug 773296
CSS Text - need bug (:nattokirai)
CSS :dir(ltr/rtl) - need bug (:smontagu)
CSS cursor values - bug 772153
CSS text-size-adjust [*] - need bug (:dbaron)
requestAnimationFrame - bug 704063
DOM.fullScreen - bug 743198
CSS element() - bug 707106
CSS device-pixel-ratio [*] - bug 771329
Canvas2D.imageSmoothingEnabled() - bug 768072

 [*] - driven by -webkit adoption
 [#] - resolved to ship pref'ed / unprefixed
Comment 1 Tantek Çelik 2012-07-18 13:11:52 PDT
I suggest box-sizing as well. 

https://bugzilla.mozilla.org/show_bug.cgi?id=243412
Comment 2 j.j. 2012-07-18 13:29:09 PDT
(In reply to Jet Villegas (:jet) from comment #0)
> CSS Gradients - find fixed bug - fixed in FF16
bug 752187
Comment 3 j.j. 2012-07-18 13:40:49 PDT
Bug 509958?   ::-moz-selection
Comment 4 Simon Montagu :smontagu 2012-09-05 21:28:31 PDT
(In reply to Jet Villegas (:jet) from comment #0)
> CSS :dir(ltr/rtl) - need bug (:smontagu)

:dir(ltr/rtl) wasn't checked in yet when this bug was filed. It was later checked in unprefixed in bug 562169.
Comment 5 Binyamin 2013-02-20 10:05:33 PST
CSS Flexbox - bug 801098 - fixed in FF19
Comment 6 sjw 2013-12-10 03:38:08 PST
(In reply to j.j. (mostly inactive) from comment #3)
> Bug 509958?   ::-moz-selection

Right now, the ::selection CSS pseudo-element is not in any specification on the standard track, but some browsers has implemented as unprefixed. So should we wait or not?
Comment 7 Tantek Çelik 2013-12-11 10:12:22 PST
(In reply to sjw from comment #6)
> (In reply to j.j. (mostly inactive) from comment #3)
> > Bug 509958?   ::-moz-selection
> 
> Right now, the ::selection CSS pseudo-element is not in any specification on
> the standard track, but some browsers has implemented as unprefixed. So
> should we wait or not?

Regarding ::selection status (e.g. "some browsers has implemented as unprefixed"), let's discuss that directly in Bug 509958. Thanks.

Note You need to log in before you can comment on or make changes to this bug.